%define major 1
%define libname %mklibname bluray %{major}
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		libbluray
Version:	0.9.2
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.videolan.org/developers/libbluray.html
Source0:	ftp://ftp.videolan.org/pub/videolan/libbluray/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	ant
BuildRequires:	java-rpmbuild
BuildRequires:	jaxp
BuildRequires:	xerces-j2
BuildRequires:	libgcj-devel
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libxml-2.0)

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries

%description -n %{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	libbluray development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	bluray-devel = %{EVRD}

%description -n %{devname}
These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%files -n %{devname}
%doc README.txt
%{_includedir}/%{name}
%{_bindir}/bd_info
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package java
Summary:	BD-J support for libbluray
Group:		System/Libraries
# Maybe switch to suggesting/requiring libbluray-java in the main lib,
# and dropping these below reqs instead?
Requires:	java >= 1.6
Requires:	jpackage-utils

%description java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%files java
%{_javadir}/%{name}-j2se-%{version}.jar

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# for ant
export JAVA_HOME=%{java_home}
./bootstrap
%configure2_5x \
	--disable-static \
	--with-jdk=%{java_home} \
	--enable-bdjava
%make

%install
%makeinstall_std


%changelog

* Mon Feb 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-1
- (ef60b68) Build requires pkgconfig(fontconfig)


